| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Classes | Public Member Functions | Static Protected Member Functions | List of all members
cv::linemod::QuantizedPyramid Class Referenceabstract
RGB-Depth Processing

Represents a modality operating over an image pyramid. More...

`#include <opencv2/rgbd/linemod.hpp>`

Collaboration diagram for cv::linemod::QuantizedPyramid:

## Classes
struct | Candidate
| Candidate feature with a score. More...

## Public Member Functions
virtual | ~QuantizedPyramid ()
virtual bool | extractTemplate (Template &templ) const =0
| Extract most discriminant features at current pyramid level to form a new template.
virtual void | pyrDown ()=0
| Go to the next pyramid level.
virtual void | quantize (Mat &dst) const =0
| Compute quantized image at current pyramid level for online detection.

## Static Protected Member Functions
static void | selectScatteredFeatures (const std::vector< Candidate > &candidates, std::vector< Feature > &features, size_t num_features, float distance)
| Choose candidate features so that they are not bunched together.

## Detailed Description

Represents a modality operating over an image pyramid.

## Constructor & Destructor Documentation

## ◆ ~QuantizedPyramid()

virtual cv::linemod::QuantizedPyramid::~QuantizedPyramid | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ extractTemplate()

virtual bool cv::linemod::QuantizedPyramid::extractTemplate | ( | Template & | templ | ) | const
| pure virtual

Python:
| cv.linemod.QuantizedPyramid.extractTemplate( |  | ) -> | retval, templ

Extract most discriminant features at current pyramid level to form a new template.

Parameters

  [out] | templ | The new template.

## ◆ pyrDown()

virtual void cv::linemod::QuantizedPyramid::pyrDown | ( |  | ) |
| pure virtual

Python:
| cv.linemod.QuantizedPyramid.pyrDown( |  | ) -> | None

Go to the next pyramid level.

Todo
  Allow pyramid scale factor other than 2

## ◆ quantize()

virtual void cv::linemod::QuantizedPyramid::quantize | ( | Mat & | dst | ) | const
| pure virtual

Python:
| cv.linemod.QuantizedPyramid.quantize( | [, dst] | ) -> | dst

Compute quantized image at current pyramid level for online detection.

Parameters

  [out] | dst | The destination 8-bit image. For each pixel at most one bit is set, representing its classification.

## ◆ selectScatteredFeatures()

static void cv::linemod::QuantizedPyramid::selectScatteredFeatures | ( | const std::vector< Candidate > & | candidates,
|  | std::vector< Feature > & | features,
|  | size_t | num_features,
|  | float | distance )
| static protected

Choose candidate features so that they are not bunched together.

Parameters

  [in] | candidates | Candidate features sorted by score.
  [out] | features | Destination vector of selected features.
  [in] | num_features | Number of candidates to select.
  [in] | distance | Hint for desired distance between features.

The documentation for this class was generated from the following file:

- opencv2/rgbd/linemod.hpp